Bug 102370 - Exponent without sign can be exported to Excel
Summary: Exponent without sign can be exported to Excel
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.4.2 release
Hardware: All All
: medium minor
Assignee: Laurent BP
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-22 19:32 UTC by Laurent BP
Modified: 2016-11-09 17:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2016-09-22 19:32:16 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:48.0) Gecko/20100101 Firefox/48.0
Build Identifier: 5.0.4

Resolution of bug 95677 was not correct: actually Excel does support exponent without sign (for positive exponent) with minus sign instead of plus sign.
For instance, format
0.00E-00
represents PI() as 3.14E00

Reproducible: Always

Steps to Reproduce:
1. Format > Cells > Number > Scientific
2. Remove sign in exponent, for instance 0.00E00
3. Export to Excel format
4. File > Reload
Actual Results:  
Format is changed to 0.00E+00

Expected Results:  
Format should remain without sign in exponent

Format 0.00E-00 is correctly interpreted during import of Excel file, but fails during export to ODF: it is modified in 0.00E+00


Reset User Profile?No
Comment 1 Commit Notification 2016-10-07 19:32:13 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4b81e61682e7af2af0c00c0a267d4a1f267c45f1

tdf#102370 Correctly export to Excel exponent without sign

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Xisco Faulí 2016-11-08 08:51:47 UTC
Hello Laurent,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Comment 3 Laurent BP 2016-11-08 17:56:24 UTC
(In reply to Xisco Faulí from comment #2)
> Hello Laurent,
> Is this bug fixed?
> If so, could you please close it as RESOLVED FIXED?

Yes, it is fixed. I was just waiting that QA test is also pushed to master
https://gerrit.libreoffice.org/30170/
before closing this bug
Comment 4 Commit Notification 2016-11-09 14:52:41 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b0901f9f0843c2d85da6742780d9aef296f62c60

tdf#102370 QA test exponent without sign during export to Excel

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.